# mheatmap

[![PyPI version](https://badge.fury.io/py/mheatmap.svg)](https://badge.fury.io/py/mheatmap)
[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)

A Python package for advanced heatmap visualization and matrix analysis, featuring mosaic heatmaps, confusion matrix post-processing, and spectral reordering capabilities.

## Features

- **Mosaic Heatmap**: A novel visualization that represents matrix values with proportionally-sized cells
- **Automatic Model Calibration (AMC)**: Post-processing algorithm for confusion matrices
- **Spectral Reordering**: Matrix reordering based on spectral analysis
- **RMS (Reverse Merge/Split) Analysis**: Advanced permutation analysis for matrix structure
- **GridSpec Helpers**: Utilities for creating complex visualization layouts

## Installation

```bash
pip install mheatmap
```

